Last Comment Bug 656782 - Runtime CPU features detection does not work for pixman in Android
: Runtime CPU features detection does not work for pixman in Android
Status: RESOLVED FIXED
: mobile, perf, regression
Product: Core
Classification: Components
Component: Graphics (show other bugs)
: unspecified
: ARM Android
: -- major (vote)
: mozilla6
Assigned To: Siarhei Siamashka
:
: Milan Sreckovic [:milan]
Mentors:
Depends on:
Blocks: 656797 598736 640250
  Show dependency treegraph
 
Reported: 2011-05-12 15:22 PDT by Siarhei Siamashka
Modified: 2013-12-27 14:23 PST (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
-
fixed
5+


Attachments
pixman-neon-fix-for-android.patch (941 bytes, patch)
2011-05-12 15:26 PDT, Siarhei Siamashka
jmuizelaar: review+
asa: approval‑mozilla‑aurora+
asa: approval‑mozilla‑beta+
Details | Diff | Splinter Review

Description Siarhei Siamashka 2011-05-12 15:22:47 PDT
User-Agent:       Mozilla/5.0 (X11; Linux x86_64; rv:2.0.1) Gecko/20110506 Firefox/4.0.1
Build Identifier: 

NEON optimizations do not work in Android. This causes serious performance problems, especially for the compositing operations involving bilinear scaling.

Reproducible: Always
Comment 1 Siarhei Siamashka 2011-05-12 15:26:32 PDT
Created attachment 532049 [details] [diff] [review]
pixman-neon-fix-for-android.patch

fix
Comment 2 Mark Finkle (:mfinkle) (use needinfo?) 2011-05-17 08:43:43 PDT
http://hg.mozilla.org/mozilla-central/rev/840a30ab5348
Comment 3 Joe Drew (not getting mail) 2011-05-19 13:18:48 PDT
Comment on attachment 532049 [details] [diff] [review]
pixman-neon-fix-for-android.patch

We're pretty sure this is a regression from Fx4 to Fx5 that will result in slower performance since we were not using NEON at all on Android.
Comment 4 Asa Dotzler [:asa] 2011-05-19 15:04:21 PDT
Comment on attachment 532049 [details] [diff] [review]
pixman-neon-fix-for-android.patch

would be nice to have mobile attending these triage sessions.
Comment 5 Asa Dotzler [:asa] 2011-05-19 15:16:37 PDT
Comment on attachment 532049 [details] [diff] [review]
pixman-neon-fix-for-android.patch

Please land this change on both Aurora and Beta. (In the future, getting changes in during Aurora will save you this extra step.)
Comment 6 Siarhei Siamashka 2011-05-28 13:22:04 PDT
Just to confirm something, is firefox5 mobile going to be released with or without this bug?
Comment 7 Joe Drew (not getting mail) 2011-05-28 13:53:22 PDT
Unless it's landed on aurora and beta real soon now, without - but it's approved for beta (i.e. Fx5)!
Comment 8 Matt Brubeck (:mbrubeck) 2011-05-28 14:15:59 PDT
I can land this in beta next week, if no gets to it first.  (It's already on Aurora now because of the m-c to aurora merge.)
Comment 9 Mark Finkle (:mfinkle) (use needinfo?) 2011-05-28 20:48:32 PDT
Oh man we dropped the ball not getting this into bate before beta 3

http://hg.mozilla.org/releases/mozilla-beta/rev/7b250e2b4f57

It's baked on trunk and aurora for a while with no ill effects. It's in beta now, headed to Fx5.

Note You need to log in before you can comment on or make changes to this bug.